Subject: [bmwg] draft-constantine-bmwg-traffic-management-00

From: Gilles Forget <[email-masked]>
Date: Tue, 19 Feb 2013 20:53:02 -0500

Hello BMWG,

I support this work as a network specialist who has many times tested traffic management capabilities in both lab and field situations.

I think this -00 revision is a good start and here are my first comments:

1. Throughout the document, the words “network device” is referenced and other times “network node” is used. 
    Comment: In my opinion, "network device" seems more representative and should be consistently used.

2. Section 1.1. “Traffic policing: rate limits traffic that enters a router a…”
    Comment: It could also be a switch or other network appliances, so I suggest replacing the word "router" by “network device".

3. In section 2, EIR and EBS should use the word “Excess” instead of “Exceeded” in their definitions.

4. Section 5.1  “Since iperf is a software based tool, there will be performance limitations at higher link speeds".
    Comment: I would like to suggest replacing by “Since iperf is software based, there will be performance limitations at higher speeds (e.g. 1G, 10G, etc…)”

5. Section 5.5, “This interactive traffic is not uni-directional in nature but is chatty.
    Comment: I would suggest, “These traffic are bi-directional and can be chatty at times.”

6. Section 6.1.  “Policing tests will only use stateless traffic since a policer only operates at Layer 2 .  Stateful TCP test traffic would not yield any benefit to test a policer.”
    Comment:  I’m not sure about this, I think a policer can operate at the packet layer also. And I can assure you that TCP traffic is affected by a policer.

7. In section 6.1, Tc and Te are defined, in my opinion this should be done in section 2 instead.

8. In sections 6.2.1, 6.2.2, and 6.3, QL, Ti, BB, BSA, NDE,  SR, SBS are defined, in my opinion this should be done in section 2 instead.

9. Section 6.3.2 “By cumulative TCP window, this equates to:”
    Comment: I would like to suggest, “The cumulative TCP Window Sizes* (RWND at the receiving end & CWND at the transmitting end) equates to:”

10. Section 6.3.2 “* TCP window size is used per RFC 6349 and is the minimum of the TCP WIN and the Send Socket Buffer (SSB )”
      Comment: I would like to suggest. “* as described in section 3 of RFC6349, the SSB MUST be large enough to fill the BDP.”

11. Section 6.4.  “AQM techniques vary, but the basic principal is to discard traffic before the queue overflows (FIFO).  This discard in effect sends congestion notification  warning to protocols such as TCP,”
      Comment: This is not true when RFC3168 is not implemented. In fact it just causes packet discards forcing TCP to adjust its TCP CWND.

Regards,

Gilles Forget, CCNP.
T : 450-473-5718
C : 514-895-8212
@ : [email-masked]

Politique de Confidentialite des Courriels | Email Confidentiality Warning